<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:card_view="http://schemas.android.com/apk/res-auto"
    android:background="@android:color/transparent"
    android:orientation="vertical"
    android:layout_gravity="center"
    android:gravity="center"
    app:ignore="NamespaceTypo">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimary"
        android:orientation="horizontal"
        android:weightSum="10">

        <ImageView
            android:layout_width="0dp"
            android:layout_height="@dimen/text22dp"
            android:layout_gravity="center"
            android:layout_weight="1"
            android:visibility="invisible"
            android:src="@mipmap/cancel_icon" />

        <TextView
            android:id="@+id/txt_bar_code"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="8"
            android:gravity="center"
            android:layout_gravity="center"
            android:padding="@dimen/custom_layout_margin11"
            android:text="Customer Feedback"
            android:textColor="@color/white"
            android:textSize="@dimen/text_size_16sp"
            android:textStyle="bold" />

        <ImageView
            android:id="@+id/dismiss_dialog"
            android:layout_width="0dp"
            android:layout_height="@dimen/text_size_normal"
            android:layout_gravity="center"
            android:layout_weight="1"
            android:layout_margin="@dimen/custom_margin"
            android:src="@mipmap/close_white" />

    </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/grey_background"
            android:orientation="vertical">

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                card_view:cardBackgroundColor="@color/grey_background"
                android:layout_margin="@dimen/custom_margin"
                app:cardCornerRadius="@dimen/nav_header_vertical_spacing"
              android:elevation="@dimen/custom_margin2dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:weightSum="100">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:layout_marginTop="@dimen/custom_margin35dp"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <ImageView
                            android:id="@+id/excellent"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="10"
                            android:layout_margin="@dimen/appbar_padding_top"
                            android:src="@mipmap/emogi_excellent" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <ImageView
                            android:id="@+id/very_good"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="10"
                            android:layout_margin="@dimen/appbar_padding_top"
                            android:src="@mipmap/emogi_verygood" />
                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <ImageView
                            android:id="@+id/good"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_margin="@dimen/appbar_padding_top"
                            android:layout_weight="10"
                            android:src="@mipmap/emogi_good" />
                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:weightSum="10">
                        <ImageView
                            android:id="@+id/img_bad"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="10"
                            android:layout_margin="@dimen/appbar_padding_top"
                            android:src="@mipmap/emogi_bad" />
                    </LinearLayout>
                </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/margin1dp"
                        android:background="@color/gray"
                        android:layout_marginTop="@dimen/custom_margin35dp"/>
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:gravity="center">
                        <ImageView
                            android:id="@+id/ok"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:gravity="center"
                           android:layout_margin="@dimen/custom_layout_margin11"
                            android:src="@mipmap/btn_submit" />

                    </LinearLayout>
                </LinearLayout>

            </androidx.cardview.widget.CardView>

        </LinearLayout>
</LinearLayout>